Bug 23125 - PDF functions fail
Summary: PDF functions fail
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Need Real Name
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 05:19 UTC by Lee Howard
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-02 05:19:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lee Howard 2001-01-02 05:19:20 UTC
I don't know if this problem is related to the one listed here:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=21664, but...

Using php-4.0.3pl1-1 and its accompanying RPMs from the semi-recent errata 
PDF functions are dysfunctional.  I.e., using the Example 1 "Creating a 
PDF document with pdflib" from the "PDF functions" chapter in the PHP 
manual, I get the following error:

Fatal error: Call to undefined function: pdf_open() 
in /var/www/html/pdftest/pdftest.php on line 3

Believing this to be a result of no pdflib, I got the pdflib-3.03 source, 
configured "./configure --enable-shared-pdflib" and then compiled, 'make' 
and installed, 'make install'.  (Mind you, there is a lot of severe errors 
when not using --enable-shared-pdflib as make attempts to compile 
pdflib_java.c.  Current opinion on the pdflib mailing list indicates that 
that is a guinness-java problem.)

I then got the php-4.0.3pl1-1.src.rpm, installed it, changed the release 
number to "2" in the php.spec file, 'rpm -ba php.spec'ed it, then I 
freshened the built packages via 'rpm -Fvh', and re-tried the pdf document 
example.  Still I get the same error:

Fatal error: Call to undefined function: pdf_open() 
in /var/www/html/pdftest/pdftest.php on line 3.

What's going wrong?

Comment 1 Lee Howard 2001-01-08 07:19:47 UTC
You must add --with-pdflib option to the configure script for PDF support.


Note You need to log in before you can comment on or make changes to this bug.